import request from '@/utils/request'

export function login(username, password) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单系统模块_用户名密码_查询数据_new2',
      param: `用户名=${username}&密码=${password}`
    }
  })
}
export function getInfo(token) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '3',
      name: `select * from 基础表_角色模块信息 inner join 基础表_模块信息 on 基础表_角色模块信息.id = 基础表_模块信息.id where 角色编号=${token} order by 模块顺序`
    }
  })
}
// 查询按钮功能实现
export function editPassword(num1, num2, num3, num4) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '账号信息_修改密码_MESWORK',
      param: '考勤编号=' + num1 + '=int&原始密码=' + num2 + '=string&新密码=' + num3 + '=string&返回=' + num4 + '=string=output'
    }
  })
}
export function cloudEditPassword(num1, num2) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '人事档案管理_人员名单_云上改密码',
      param: 'id=' + num1 + '=int&新密码=' + num2 + '=string'
    }
  })
}
